/*
 * java.lang.StringBuffer: part of the Java Class Libraries project.
 * Copyright (C) 1998 Free Software Foundation
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jedit.quickbuffer;

import java.awt.event.*;

import org.gjt.sp.jedit.*;

import java.util.Vector;

/**

A Project Viewer plugin for jEdit.

@author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
@version $Id: QuickBufferPlugin.java,v 1.1.1.1 2000/01/24 07:03:49 burtonator Exp $
*/
public class QuickBufferPlugin extends EditPlugin {
    
    //extends HoldablePlugin

    /**
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: QuickBufferPlugin.java,v 1.1.1.1 2000/01/24 07:03:49 burtonator Exp $
    */
	public void createMenuItems(View view, Vector menus, Vector menuItems) {

		menuItems.addElement(GUIUtilities.loadMenuItem(view, "quickbuffer.open"));
        
	}


    /**
    Start the plugin

    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: QuickBufferPlugin.java,v 1.1.1.1 2000/01/24 07:03:49 burtonator Exp $
    */
    public void start() {
        jEdit.addAction( new OpenAction() );
    }



    /**
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>    
    @version $Id: QuickBufferPlugin.java,v 1.1.1.1 2000/01/24 07:03:49 burtonator Exp $
    */
    class OpenAction extends EditAction {

        private QuickBuffer quickbuffer = new QuickBuffer();
        
        public OpenAction() {

            // identify prefix to .label property for menu
            super("quickbuffer.open");

		}

        public void actionPerformed(ActionEvent evt) {

            this.quickbuffer.setView( EditAction.getView( evt ) );

            
            if ( this.quickbuffer.hasInit() == false ) {
                this.quickbuffer.init();
            }

            this.quickbuffer.setVisible( true );

        } 


    } 
    
    

}

